#include "Wire.h"
#define I2C_DEV_ADDR 0x68
uint8_t cmd[20]; // data buffer

void setup() {
  Serial.begin(115200);
  Serial.setDebugOutput(true);
  Serial.println("\r\nDS3231 I2C RTC readout demo");
  Wire.begin();
  // Enable counting
  cmd[0] = 0x0E; // Pointer to CONFIG register
  cmd[1] = 0x00; // Data for CONFIG (enable clock)
  Wire.beginTransmission(I2C_DEV_ADDR);
  Wire.write(cmd, 2);
  Wire.endTransmission(true);
}

void loop() {
  int nbytes = 0;
  delay(2000);
  cmd[0] = 0x00; // Pointer to first register
  Wire.beginTransmission(I2C_DEV_ADDR);
  Wire.write(cmd[0]);
  Wire.endTransmission(false);
  //Read 16 bytes from the slave
  nbytes = Wire.requestFrom(I2C_DEV_ADDR, 19, true);
  Serial.printf("requestFrom: %u\n", nbytes);
  if (nbytes) {
    Wire.readBytes(cmd, nbytes);
    for (int i = 0; i < nbytes; i++) {
      Serial.printf("%02x ", cmd[i]);
    }
    Serial.println("");
  }
}
