#include <WiFi.h>
#include "time.h"
#include "secrets.h"

// TimeZone rule for Europe/Budapest including daylight adjustment rules (optional)
// See at: https://leo.leung.xyz/wiki/Timezone
const char* time_zone = "CET-1CEST,M3.5.0,M10.5.0/3";
const char* ntpServer = "hu.pool.ntp.org";
struct tm timeinfo;

void setup() {
  Serial.begin(115200);
  setup_wifi();            // Connecting to WiFi AP
  configTzTime(time_zone, ntpServer);
}

void loop() {
  delay(5000);
  if (getLocalTime(&timeinfo)) {
    Serial.println(&timeinfo, "%A, %B %d %Y %H:%M:%S");
  }
  else {
    Serial.println("*** Failed to obtain time ***");
  }
}

//--- Connecting to a local WiFi AP ------------------------
void setup_wifi() {
  WiFi.mode(WIFI_STA);
  Serial.print("\r\nConnecting to ");
  Serial.println(WIFI_SSID);
  WiFi.begin(WIFI_SSID, WIFI_PASS);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("WiFi connected");
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());  
}
